using APT.Infrastructure.EF.Map;
using APT.MS.Domain.Entities.FO;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using System;
using System.Collections.Generic;
using System.Text;

namespace APT.MS.Data.Mapping.FO
{
	public partial class FOJobEventRecordMap : APTEntityBaseMap<T_FO_JOB_EVENT_RECORD>
	{
		public override void Configure(EntityTypeBuilder<T_FO_JOB_EVENT_RECORD> builder)
		{
			base.Configure(builder);
			builder.HasOne(t => t.Nav_CreateUser).WithMany().HasForeignKey(t => t.CREATER_ID).OnDelete(DeleteBehavior.Restrict);
		}
	}
}
